#ifndef XRECTDEF_H
#define XRECTDEF_H

#include "xasset.h"

class XRectDef : public XAsset
{
public:
    explicit XRectDef();
    ~XRectDef();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    float mX;
    float mY;
    float mW;
    float mH;
    int mHorzAlign;
    int mVertAlign;
};

#endif // XRECTDEF_H








